## org.freedesktop.NetworkManager.Device.Generic org.freedesktop.NetworkManager.Device.Generic |

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress        readable   s
    TypeDescription  readable   s

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

Hardware address of the device.

### The "TypeDescription" property

    TypeDescription  readable   s

A (non-localized) description of the interface type, if known.